Get identifier metadata
1 min
GET
https://api.us1.odp.optimizely.com/v3/identifiers/{field_name}
Path Parameters
- field_namestringrequiredDescription
Query Parameters
- idstringDescription
Responses
200
- IdenfitierMetadataExample
{ "identifier_value": "[email protected]", "identifier_field_name": "email", "zaius_id": "abcd", "metadata": { "mailbox_provider": "google", "primary_mailbox": true }, "metadata_update_ts": 1556582935 }- identifier_valuestringExample
- identifier_field_namestringExample
- zaius_idstringExample
- metadataobject
- mailbox_providerstringExample
- primary_mailboxbooleanExampleDefaulttrue
- metadata_update_tsintegerExampleDefault0
403
curl
curl --request GET \
--url https://api.us1.odp.optimizely.com/v3/identifiers/{field_name} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.us1.odp.optimizely.com/v3/identifiers/{field_name}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.us1.odp.optimizely.com/v3/identifiers/{field_name}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.us1.odp.optimizely.com/v3/identifiers/{field_name}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"identifier_value": "[email protected]",
"identifier_field_name": "email",
"zaius_id": "abcd",
"metadata": {
"mailbox_provider": "google",
"primary_mailbox": true
},
"metadata_update_ts": 1556582935
}403
// Forbidden